2

I'm attempting to upgrade from macOS 10.15.2 to 10.15.4 on a 2009 Mac Pro. I previously used dosdude's macOS Catalina Patcher to successfully install 10.15.2, but attempts to install the current version all end in…

This copy of the Install macOS Catalina Application is damaged, and can't be used to install macOS.

I'm able to create a bootable installer, but booting from it and attempting to reinstall macOS produces the error.

I've tried downloading a new copy of the installer, setting the date from Terminal, and deleting Install macOS Catalina.app/Contents/SharedSupport/InstallInfo.plist, all to no avail.

I'm using Catalina Patcher v1.4 and Install macOS Catalina v15.4.01. I've both the app store version of Install macOS Catalina and the Patcher download versions.

2
  • 1
    This sounds like an issue you need to check with the dev of the patcher. It’s highly likely that Apple has included code to check the hardware or the install itself and fail if things don’t match up to what they expect. – Allan Apr 3 '20 at 7:43
  • Good work upgrading the patcher. The release notes show you need 1.3.5 - 3/28/2020 for 10.15.4. What build or source is macOS Catalina v15.4.01.? – bmike Apr 12 '20 at 13:59
2

Research led to the macOS tccutil, which in turn led to tccplus, a generously thorough implementation of the undocumented capabilities of tccutil, which provides the ability to manage the privacy database directly.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .